clear all;
close all;
%Parameter
c = -1;

err = cell(1,6);
%Verschiedene Verfeinerungsfaktoren
for k =5:5;

k
%Anzahl Elemente
n = 2^k;
%Anzahl Knoten
s = n + 1;
%Schrittweite
h = 1/n;

%Berechnung von A
[phi,dphi] = steifigkeit(s);
A = -dphi + c*phi;

%Berechnung von f
f = (c - 8*pi^2)*sparse(sin(2*pi*[h:h:1-h]')*sin(2*pi*[h:h:1-h]));
f = phi*f(:);

%Rand ankleben
res = zeros(s);
res(2:s-1,2:s-1) = reshape(A\f,s-2,s-2);

%Plot
if(true)
	figure(1)
	surf(res)
	figure(2)
	surf(sparse(sin(2*pi*[0:h:1]')*sin(2*pi*[0:h:1])));
end

%Fehler abspeichern
err{k} = res - sparse(sin(2*pi*[0:h:1]')*sin(2*pi*[0:h:1]));
end

%Plotten
for k = 2:5
	linf(k-1) = max(max(err{k}));
	schritt(k-1) = 2^-k;
end

loglog(schritt,linf,schritt,schritt)
